nvme_identify_ns_descs(2)

NAME
nvme_identify_ns_descs - Retrieves namespace descriptor list

SYNOPSIS
int nvme_identify_ns_descs (int fd , __u32 nsid , struct nvme_ns_id_desc *descs );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    The namespace id to retrieve descriptors

descs
    User space destination address to transfer the data

DESCRIPTION
A list of Namespace Identification Descriptor structures is returned to the host for the namespace specified in the Namespace Identifier (NSID) field if it is an active NSID.

The data returned is in the form of an array of 'struct nvme_ns_id_desc'.

See struct nvme_ns_id_desc for the definition of the returned structure.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.